Bug 430963 - lokkit traceback during install
lokkit traceback during install
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
: Reopened
: 431818 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-01-30 15:00 EST by Luke Macken
Modified: 2016-09-19 22:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-08 11:19:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lokkit patch for empty configuration. (1.25 KB, text/x-patch)
2008-02-07 10:03 EST, Thomas Woerner
no flags Details
New lokkit (7.46 KB, application/octet-stream)
2008-02-07 11:59 EST, Thomas Woerner
no flags Details
Latest and simplified lokkit version. (7.31 KB, application/octet-stream)
2008-02-07 12:54 EST, Thomas Woerner
no flags Details

  None (edit)
Description Luke Macken 2008-01-30 15:00:25 EST
Description of problem:
I'm getting the following traceback when spinning the F9-Alpha livecds.

Traceback (most recent call last):
  File "/usr/sbin/lokkit", line 229, in <module>
    config.selinuxtype = old_config.selinuxtype
NameError: name 'old_config' is not defined

Version-Release number of selected component (if applicable):
Comment 1 Thomas Woerner 2008-01-31 07:18:43 EST
Fixed in rawhide in package system-config-firewall-1.2.1-1.fc9.
Comment 2 Thomas Woerner 2008-02-07 06:18:38 EST
*** Bug 431818 has been marked as a duplicate of this bug. ***
Comment 3 Jeremy Katz 2008-02-07 09:38:33 EST
This is still broken in 1.2.2
Comment 4 Thomas Woerner 2008-02-07 10:03:03 EST
Created attachment 294210 [details]
lokkit patch for empty configuration.

Please apply this patch and verify if the problem is fixed.
Comment 5 Jeremy Katz 2008-02-07 10:24:55 EST
Gets further but tracebacks on line 95 with (transcribed because networking is
being stupid in what I built my livecd with)

  if config.update:
AttributeError: Values instance has no attribute 'update'
Comment 6 Thomas Woerner 2008-02-07 11:59:16 EST
Created attachment 294229 [details]
New lokkit

Please try this version.
Comment 7 Thomas Woerner 2008-02-07 12:54:23 EST
Created attachment 294235 [details]
Latest and simplified lokkit version.
Comment 8 Thomas Woerner 2008-02-08 11:19:52 EST
Fixed in rawhide in package system-confiug-firewall-1.2.3-1.

Note You need to log in before you can comment on or make changes to this bug.